View Issue Details

IDProjectCategoryView StatusLast Update
0001684Ham Radio DeluxeBugpublic2019-03-31 11:13
Reporteruser36Assigned Todoug 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.207 
Summary0001684: Label Printing on sheet fed labels
DescriptionActual printed label dimensions do not match the physical output.

Borders and gaps via the Label Print dialog seem to be offset by the minimum borders set in the print drivers. The left side margin and the top margin are often most affected, which results in either scaling of the label "cell" sizes, or in shifting the labels up/down and to the right.

When the scale is not affect and the labels are shifted to the right, the information "wraps" to the next cells. For exmaple, is the cells in row 1, column 3 do not fit on the page, the information is wrapped to row 2, column 1, and subseguent cells are shifted accordingly.

*** ALSO: a buffer margin inside the cells needs to be added so that printing does not start immediately ON the border, which often is off by a few thousandths of an inch even when working. Suggest centering the table created inside the label in addition, to ensure that labels are not printed on the borders or "cut-off" when the labels are removed from the sheet.


Steps To Reproduce- Open Logbook
- Highlight several (10-30 is a useful number) log entries and use either the right-click menu or the menu bar to select label printing
- Set up for printing on sheet-labels, such as Avery 5160
- (Optional) Enable "Draw Page Outlines"
- Insert plain paper or the corresponding sheet label in the printer
- In the Layout tab, Print Range section, select the "Selected" option
- Go to the Print tab
- Ensure the correct printer, paper size and labels are selected
- Hit Print
- Observe the dimensions of the labels and the margins and gaps
- Recommend using a machinists ruler with 1/32 or 1/64 scale
Additional Information*** Please see the attached PDF for measurements and notes. ***

All mesaurements were made to the nearest 1/64", converted to a decimal, rounded to the nearest thousandth.

Font size does not affect the positioning or size of the label cells, only the amount of information that fits in the cell. Tests with different font sizes yielded no change in the results. One comparison is included, but other anecdotal tests with different font sizes and styles yielded no changes.


The measurements are scanned copies of the actual prints on plain paper. Using the "Draw Page Outlines" to determine where the labels would print,
TagsNo tags attached.
ModuleLogbook
Sub-ModuleLabel
Testing Beta Successful

Relationships

related to 0001659 closedARMAN Label problem 

Activities

user36

2014-08-04 20:25

 

Test Data - Label Printing.pdf (453,260 bytes)

WA9PIE

2014-08-05 12:46

administrator   ~0000447

Yes. I generally agree with what Jason has documented here. I would add that - while it's good to use a ruler to make sure the dimensions are correct... I generally print to plain paper and then hold it up against a label sheet... against a lamp to make sure that the labels 'would have' printed inside the label themselves.

For me, the issue never was getting the QSO detail to print inside the label... it was getting the left side of the label printing to actually begin ON THE PAPER. It's always begun at least a 1/2 off to the left of the edge (not margin, but edge) of the paper.

WA9PIE

2019-03-30 05:36

administrator   ~0007797

This should be fixed in the 205 build.

Issue History

Date Modified Username Field Change
2014-08-04 20:25 user36 New Issue
2014-08-04 20:25 user36 File Added: Test Data - Label Printing.pdf
2014-08-05 12:46 WA9PIE Note Added: 0000447
2014-08-07 13:18 WA9PIE Summary BUG: Logbook - Label Printing on sheet fed labels => Bug: Label Printing on sheet fed labels
2014-08-12 17:13 user36 Proposed Release => 6.2.8
2014-08-12 17:15 user36 Relationship added related to 0001659
2014-08-12 17:22 user36 Relationship added related to 0001649
2014-08-12 17:25 user36 Relationship deleted related to 0001649
2014-08-12 19:41 user36 Priority normal => high
2014-10-08 22:01 WA9PIE Project 3 - Current Dev List => 2 - Next Dev List (Holding Area)
2015-09-17 13:40 WA9PIE Category Logbook => Bug
2015-09-22 23:23 WA9PIE Fix Build TBD => (select)
2015-09-22 23:23 WA9PIE Report Build 6.2.3.271 => (select)
2015-09-22 23:23 WA9PIE Proposed Release 6.2.8 => (select)
2015-09-22 23:23 WA9PIE Summary Bug: Label Printing on sheet fed labels => Label Printing on sheet fed labels
2018-03-04 00:49 WA9PIE Status new => assigned
2018-03-04 00:49 WA9PIE Assigned To => ARMAN
2018-03-04 00:49 WA9PIE Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2018-03-04 00:52 WA9PIE Testing => Not Started
2019-02-26 17:29 WA9PIE Assigned To ARMAN => doug
2019-03-30 05:36 WA9PIE Status assigned => closed
2019-03-30 05:36 WA9PIE Fixed in Version => 6.5.0.205
2019-03-30 05:36 WA9PIE Testing Not Started => Beta Successful
2019-03-30 05:36 WA9PIE Note Added: 0007797
2019-03-30 05:55 WA9PIE Resolution open => fixed
2019-03-31 11:13 WA9PIE Fixed in Version 6.5.0.205 => 6.5.0.207
2019-03-31 11:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe